﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 600px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
  direction:rtl;
  text-align:right;
  direction:rtl;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  /* Set the fixed height of the footer here */
  height: 60px;
  line-height: 60px; /* Vertically center the text there */
}

.form-check-input {
    margin-top: 0.3rem;
    margin-right: -1.25rem;
    margin-left: 0rem;
}



.printableArea {
    width: 8.5cm;
    // !important height:100%;
    // !important
}

@page {
    //size: 8cm auto;
     width: 21cm;
      height: 7cm;
    // margin: 0;
    margin-left: 5px !important;
    // this is for me.
}


.tr:hover {
    background-color: red;
}





* {
    box-sizing: border-box;
}

/* Style the search field */
form.example input[type=text] {
    padding: 10px;
    font-size: 17px;
    border: 1px solid grey;
    float: left;
    width: 80%;
    background: #f1f1f1;
}

/* Style the submit button */
form.example button {
    float: left;
    width: 20%;
    padding: 10px;
    background: #2196F3;
    color: white;
    font-size: 17px;
    border: 1px solid grey;
    border-left: none; /* Prevent double borders */
    cursor: pointer;
}

    form.example button:hover {
        background: #0b7dda;
    }

/* Clear floats */
form.example::after {
    content: "";
    clear: both;
    display: table;
}




/* Style the form - display items horizontally */
.form-inline {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
}

    /* Add some margins for each label */
    .form-inline label {
        margin: 5px 10px 5px 0;
    }

    /* Style the input fields */
    .form-inline input {
        vertical-align: middle;
        margin: 5px 10px 5px 0;
        padding: 10px;
        background-color: #fff;
        border: 1px solid #ddd;
    }

    /* Style the submit button */
    .form-inline button {
        padding: 10px 20px;
        background-color: dodgerblue;
        border: 1px solid #ddd;
        color: white;
    }

        .form-inline button:hover {
            background-color: royalblue;
        }

/* Add responsiveness - display the form controls vertically instead of horizontally on screens that are less than 800px wide */
@media (max-width: 800px) {
    .form-inline input {
        margin: 10px 0;
    }

    .form-inline {
        flex-direction: column;
        align-items: stretch;
    }
}


@font-face {
    font-family: VazirBold;
    src: url(../fonts/Vazir-Bold.woff2);
}


@font-face {
    font-family: VazirMedium;
    src: url(../fonts/Vazir-Medium.woff2);
}

card{
    font-family:VazirBold,Tahoma;
}

btn{
    font-family:VazirBold,Arial;
}